<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::InputNotFound Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1InputNotFound.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1InputNotFound-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::InputNotFound Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::InputNotFound:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1InputNotFound.png" usemap="#OpenSim::InputNotFound_map" alt=""/>
  <map id="OpenSim::InputNotFound_map" name="OpenSim::InputNotFound_map">
<area href="classOpenSim_1_1Exception.html" title="A class for basic exception functionality." alt="OpenSim::Exception" shape="rect" coords="0,56,151,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a425a05a6e8b2af77430aeb6916f136e1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1InputNotFound.html#a425a05a6e8b2af77430aeb6916f136e1">InputNotFound</a> (const std::string &amp;file, size_t line, const std::string &amp;func, const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;obj, const std::string &amp;inputName)</td></tr>
<tr class="separator:a425a05a6e8b2af77430aeb6916f136e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Exception"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Exception')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Exception.html">OpenSim::Exception</a></td></tr>
<tr class="memitem:a01d5cbb54d9c6d5ff56ece34d95aed8a inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#a01d5cbb54d9c6d5ff56ece34d95aed8a">Exception</a> (const std::string &amp;aMsg=&quot;&quot;, const std::string &amp;aFile=&quot;&quot;, int aLine=-1)</td></tr>
<tr class="memdesc:a01d5cbb54d9c6d5ff56ece34d95aed8a inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor is for backward compatibility.  <a href="classOpenSim_1_1Exception.html#a01d5cbb54d9c6d5ff56ece34d95aed8a">More...</a><br /></td></tr>
<tr class="separator:a01d5cbb54d9c6d5ff56ece34d95aed8a inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85669282908c301b734b315c1cfa1bc8 inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#a85669282908c301b734b315c1cfa1bc8">Exception</a> (const std::string &amp;file, size_t line, const std::string &amp;func)</td></tr>
<tr class="memdesc:a85669282908c301b734b315c1cfa1bc8 inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">Call this constructor from derived classes to add file, line and function information to the error message.  <a href="classOpenSim_1_1Exception.html#a85669282908c301b734b315c1cfa1bc8">More...</a><br /></td></tr>
<tr class="separator:a85669282908c301b734b315c1cfa1bc8 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afda39716e3190347a561f961a66cbcfc inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#afda39716e3190347a561f961a66cbcfc">Exception</a> (const std::string &amp;file, size_t line, const std::string &amp;func, const std::string &amp;msg)</td></tr>
<tr class="memdesc:afda39716e3190347a561f961a66cbcfc inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this when you want to throw an <a class="el" href="classOpenSim_1_1Exception.html" title="A class for basic exception functionality.">Exception</a> (with OPENSIM_THROW or OPENSIM_THROW_IF) and also provide a message.  <a href="classOpenSim_1_1Exception.html#afda39716e3190347a561f961a66cbcfc">More...</a><br /></td></tr>
<tr class="separator:afda39716e3190347a561f961a66cbcfc inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2ae0242dd5f42844de5cdf70a82129a inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#ac2ae0242dd5f42844de5cdf70a82129a">Exception</a> (const std::string &amp;file, size_t line, const std::string &amp;func, const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;obj)</td></tr>
<tr class="memdesc:ac2ae0242dd5f42844de5cdf70a82129a inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message created by this constructor will contain the class name and instance name of the provided <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Exception.html#ac2ae0242dd5f42844de5cdf70a82129a">More...</a><br /></td></tr>
<tr class="separator:ac2ae0242dd5f42844de5cdf70a82129a inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac706e5c71f298482a54b6e663b344aeb inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#ac706e5c71f298482a54b6e663b344aeb">Exception</a> (const std::string &amp;file, size_t line, const std::string &amp;func, const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;obj, const std::string &amp;msg)</td></tr>
<tr class="memdesc:ac706e5c71f298482a54b6e663b344aeb inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message created by this constructor will contain the class name and instance name of the provided <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>, and also accepts a message.  <a href="classOpenSim_1_1Exception.html#ac706e5c71f298482a54b6e663b344aeb">More...</a><br /></td></tr>
<tr class="separator:ac706e5c71f298482a54b6e663b344aeb inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a65f8c04d93f21dd8077f64fc806959 inherit pub_methods_classOpenSim_1_1Exception"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a8a65f8c04d93f21dd8077f64fc806959 inherit pub_methods_classOpenSim_1_1Exception"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#a8a65f8c04d93f21dd8077f64fc806959">Exception</a> (const std::string &amp;file, size_t line, const std::string &amp;func, spdlog::string_view_t fmt, const Args &amp;... args)</td></tr>
<tr class="memdesc:a8a65f8c04d93f21dd8077f64fc806959 inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this when you want to throw an <a class="el" href="classOpenSim_1_1Exception.html" title="A class for basic exception functionality.">Exception</a> (with OPENSIM_THROW or OPENSIM_THROW_IF) and also provide a message that is formatted using fmt::format() syntax.  <a href="classOpenSim_1_1Exception.html#a8a65f8c04d93f21dd8077f64fc806959">More...</a><br /></td></tr>
<tr class="separator:a8a65f8c04d93f21dd8077f64fc806959 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf258f41c566be4af93c2dabf7783c4 inherit pub_methods_classOpenSim_1_1Exception"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:abbf258f41c566be4af93c2dabf7783c4 inherit pub_methods_classOpenSim_1_1Exception"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#abbf258f41c566be4af93c2dabf7783c4">Exception</a> (const std::string &amp;file, size_t line, const std::string &amp;func, const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;obj, spdlog::string_view_t fmt, const Args &amp;... args)</td></tr>
<tr class="memdesc:abbf258f41c566be4af93c2dabf7783c4 inherit pub_methods_classOpenSim_1_1Exception"><td class="mdescLeft">&#160;</td><td class="mdescRight">The message created by this constructor will contain the class name and instance name of the provided <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>, and also accepts a message formatted using fmt::format() syntax.  <a href="classOpenSim_1_1Exception.html#abbf258f41c566be4af93c2dabf7783c4">More...</a><br /></td></tr>
<tr class="separator:abbf258f41c566be4af93c2dabf7783c4 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5ad1d4c237320313cdfa5f4dc44fa53 inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#ae5ad1d4c237320313cdfa5f4dc44fa53">~Exception</a> ()  throw ()</td></tr>
<tr class="separator:ae5ad1d4c237320313cdfa5f4dc44fa53 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95f5578dc48c56f828986c346f13a8e0 inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#a95f5578dc48c56f828986c346f13a8e0">setMessage</a> (const std::string &amp;aMsg)</td></tr>
<tr class="separator:a95f5578dc48c56f828986c346f13a8e0 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3a719b15a4f522207847a720e2af7b1 inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#ae3a719b15a4f522207847a720e2af7b1">getMessage</a> () const</td></tr>
<tr class="separator:ae3a719b15a4f522207847a720e2af7b1 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe7156536aa1a7205ed74660ca72e7f5 inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#abe7156536aa1a7205ed74660ca72e7f5">print</a> (std::ostream &amp;aOut) const</td></tr>
<tr class="separator:abe7156536aa1a7205ed74660ca72e7f5 inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab82fe5f267ae6474eec07f805b9192ca inherit pub_methods_classOpenSim_1_1Exception"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Exception.html#ab82fe5f267ae6474eec07f805b9192ca">what</a> () const noexcept override</td></tr>
<tr class="separator:ab82fe5f267ae6474eec07f805b9192ca inherit pub_methods_classOpenSim_1_1Exception"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a425a05a6e8b2af77430aeb6916f136e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a425a05a6e8b2af77430aeb6916f136e1">&#9670;&nbsp;</a></span>InputNotFound()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::InputNotFound::InputNotFound </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>func</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>inputName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="classOpenSim_1_1Exception.html#af68b64dbb1b59868e7ccb7ab9782d35d">OpenSim::Exception::addMessage()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Common/Component.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1InputNotFound.html">InputNotFound</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:45 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
